LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XChangesNotifier Interface Referencepublished

broadcasts events about multiple changes that occur in bulk. More...

`import"XChangesNotifier.idl";`

Inheritance diagram for XChangesNotifier:

## Public Member Functions
void | addChangesListener ([in] com::sun::star::util::XChangesListener aListener)
| adds the specified listener to receive events when changes occurred. More...
void | removeChangesListener ([in] com::sun::star::util::XChangesListener aListener)
| removes the specified listener. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

broadcasts events about multiple changes that occur in bulk.

See also
  XChangesListener
  XChangesBatch
  ChangesEvent

## Member Function Documentation

## ◆ addChangesListener()

void addChangesListener | ( | [in] com::sun::star::util::XChangesListener | aListener | ) |

adds the specified listener to receive events when changes occurred.

## ◆ removeChangesListener()

void removeChangesListener | ( | [in] com::sun::star::util::XChangesListener | aListener | ) |

removes the specified listener.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XChangesNotifier.idl